// MotionController_7856.h: interface for the CMotionController_7856 class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_MOTIONCONTROLLER_7856_H__7EA80A57_50A0_4983_A3B7_8176E4504168__INCLUDED_)
#define AFX_MOTIONCONTROLLER_7856_H__7EA80A57_50A0_4983_A3B7_8176E4504168__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "MotionControllerBase.h"

class CMotionController_7856 : public CMotionControllerBase
{
public:
    CMotionController_7856(int index);
    virtual ~CMotionController_7856();

    BOOL Init(int &nNoOfMtr) override;
    void Close() override;

// get the IOs status of the motor
    unsigned short GetMotionIOStatus(const CMtrProfile &mtrProfile) override;

//  get Motion status of motor
    int GetMotionStatus(const CMtrProfile &mtrProfile) override;

//  get Motor Pos value
    double GetMtrPos(const CMtrProfile &mtrProfile) override;

//  get position error value
    double GetPosErr(const CMtrProfile &mtrProfile) override;
};

#endif // !defined(AFX_MOTIONCONTROLLER_7856_H__7EA80A57_50A0_4983_A3B7_8176E4504168__INCLUDED_)
